MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027040Open CASCADE[OCCT] OCCT:Configurationpublic2015-12-26 12:532016-04-20 15:50
Reporterssv 
Assigned Toabv 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027040: IVtk does not compile after configuring with CMake
DescriptionIn CMake configuration I have disabled usage of D3D (USE_D3D off) and enabled VTK in order to have IVtk packages compiled. However, compilation failed with the following linkage error:

error LNK1104: cannot open file '...d3d9.lib'

Thus I had to remove this lib manually from linker options of TKIVtk and TKIVtkDraw. After that it compiled successfully. Please, check configuration of linker options for IVtk in CMake.
Steps To Reproducebuild OCCT with vtk support on windows without installed Microsoft DirectX SDK (June 2010)
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0027209closedabv CMake - warnings on configuration step for VTK when using vc14 target 
related to 0026944closedbugmaster CMake remarks 

-  Notes
(0049628)
git (administrator)
2015-12-28 12:11

Branch CR27040 has been created by ibs.

SHA-1: d8d7aaf46a504cdac3c8830b5ad591a04fa6462f


Detailed log of new commits:

Author: ibs
Date: Mon Dec 28 12:11:39 2015 +0300

    0027040: IVtk does not compile after configuring with CMake
    
    hardcoded C:/Program Files (x86)/Microsoft DirectX SDK (June 2010)/Lib/x64/d3d9.lib is removed from any vtk toolkit
(0049629)
ibs (developer)
2015-12-28 12:13

dear ski,
please review CR27040 branch of OCCT git
(0049643)
ski (developer)
2015-12-28 16:29

No remarks, please proceed.
(0049738)
abv (manager)
2016-01-08 20:40

Why only "June 2010" variant of D3D is considered?
(0049769)
ibs (developer)
2016-01-11 12:40

The VTK sources are used only this version
(0052964)
git (administrator)
2016-04-17 13:46

Branch CR27040 has been deleted by kgv.

SHA-1: d8d7aaf46a504cdac3c8830b5ad591a04fa6462f

- Related Changesets
occt: master fa684e47
Timestamp: 2015-12-28 09:11:39
Author: abv
Committer: abv
Details ] Diff ]
0027040: IVtk does not compile after configuring with CMake

hardcoded C:/Program Files (x86)/Microsoft DirectX SDK (June 2010)/Lib/x64/d3d9.lib is removed from any vtk toolkit
mod - adm/cmake/vtk.cmake Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-26 12:53 ssv New Issue
2015-12-26 12:53 ssv Assigned To => bugmaster
2015-12-26 15:13 abv Relationship added related to 0026944
2015-12-28 12:11 git Note Added: 0049628
2015-12-28 12:13 ibs Note Added: 0049629
2015-12-28 12:13 ibs Assigned To bugmaster => ski
2015-12-28 12:13 ibs Status new => resolved
2015-12-28 12:13 ibs Steps to Reproduce Updated View Revisions
2015-12-28 16:29 ski Note Added: 0049643
2015-12-28 16:29 ski Assigned To ski => bugmaster
2015-12-28 16:29 ski Status resolved => reviewed
2016-01-08 20:40 abv Note Added: 0049738
2016-01-11 12:40 ibs Note Added: 0049769
2016-01-15 16:57 abv Changeset attached => occt master fa684e47
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status reviewed => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-03-12 18:54 abv Relationship added parent of 0027209
2016-04-17 13:46 git Note Added: 0052964
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker